/************************************************************************/
/* uiclient.h								*/
/*                                                                      */
/* Standard user interface based client header file.			*/
/************************************************************************/
/*                                                                      */
/*     Center for High Angular Resolution Astronomy                     */
/* Georgia State University, Atlanta GA 30303-3083, U.S.A.              */
/*                                                                      */
/*                                                                      */
/* Telephone: 1-626-796-5405                                            */
/* Fax      : 1-626-796-6717                                            */
/* email    : theo@chara.gsu.edu                                        */
/* WWW      : http://www.chara.gsu.edu/~theo/theo.html                  */
/*                                                                      */
/* (C) This source code and its associated executable                   */
/* program(s) are copyright.                                            */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* Author : Theo ten Brummelaar                                         */
/* Date   : SEPTEMBER 1998                                              */
/************************************************************************/

#ifndef __UICLIENT__
#define __UICLIENT__

#include <charaui.h>

/* Prototypes */

/* uichara_standard.c */

int set_up_standard_jobs(int server);
int ui_message_noop(int server, struct smessage *mess);
int ui_message_message(int server, struct smessage *mess);
int ui_message_ping(int server, struct smessage *mess);
int send_noop(int server);
int send_ping(int server);
int send_message_message(int server, char *s);
int send_all_noop(int server);
int send_all_ping(int server);
int background_process_server_socket(int server);
int ui_message_server_stopping(int server, struct smessage *mess);

#endif
