import pickle
import pylab as pl
import numarray as na
import common
from pylab import cm

def main():
    common.numberOfCumulatedImages = 100
    img = na.zeros((common.numberOfCumulatedImages, common.rows, common.cols), type = na.Float32)
    m = na.zeros((common.rows, common.cols), type = na.Float32)
    s = na.zeros((common.rows, common.cols), type = na.Float32)
    mo = na.zeros((common.rows, common.cols), type = na.Float32)
    o = na.zeros((common.numberOfCumulatedImages, common.rows, common.cols), type = na.Float32)

    fichier = open('img6.dat', 'r')
    img = pickle.load(fichier)
    fichier.close()
    print img.shape

    print img[:, 145, 165].mean(), img[:, 145, 165].max()
    pl.plot(img[:, 145, 165])
    pl.show()
    
    for i in range(common.rows):
        print i
        for j in range(common.cols):
            m[i,j] = img[:,i,j].mean()
            s[i,j] = img[:,i,j].stddev()
            if s[i,j] != 0.:
                o[:,i,j] = (img[:,i,j]-m[i,j])/s[i,j]
            mo[i, j] = na.where(abs(o[:,i,j])>5, 1, 0).sum()

    fichier=open('m4.dat', 'w')
    pickle.dump(m, fichier)
    fichier.close()
    
    fichier=open('s4.dat', 'w')
    pickle.dump(s, fichier)
    fichier.close()
        
    fichier=open('o4.dat', 'w')
    pickle.dump(o, fichier)
    fichier.close()
        
    fichier=open('mo4.dat', 'w')
    pickle.dump(mo, fichier)
    fichier.close()
        
    print s.mean(), s.min(), s.max()
    print o.mean(), o.min(), o.max()
    print mo.mean(), mo.min(), mo.max()
    print "5", na.where((mo)>5)
    print "4", na.where((mo)>4)
    print "3", na.where((mo)>3)
    print "2", na.where((mo)>2)
    print "2", na.where((mo)>1)
    
##     pl.imshow(mo,cmap=cm.gray, origin='lower',interpolation='nearest')
##     pl.show()

def plt():

    fichier = open('mo4.dat', 'r')
    s = pickle.load(fichier)
    print s.max(), s.min(), s.mean()    

##     fichier.close()
##     mo = na.zeros((common.rows, common.cols), type = na.Float32)
##     for i in range(common.rows):
##         print i
##         for j in range(common.cols):
##             mo[i, j] = na.where(abs(s[:,i,j])>4.5, 1, 0).sum()
##     print mo.max(), mo.sum()
  
##     fichier=open('mo45.dat', 'w')
##     pickle.dump(mo, fichier)
##     fichier.close()
    print na.where(s>0)
    pl.imshow(s,cmap=cm.gray,origin='lower',interpolation='nearest')
    pl.show()


print __name__
if __name__ == "__main__":
    #main()
    plt()


#list 1
## (array([  1,  26,  28,  41,  41,  54,  67,  67,  82,  87, 100, 104, 142,
##        143, 143, 147, 165, 175, 182, 183, 189, 193, 210, 233, 236]),
##  array([ 62, 235, 186,  35, 167, 141,  33,  79,  99, 166, 211,  23, 163,
##        162, 163,  94, 118, 153, 205, 245, 193,  71,  73, 194, 238]))
