#!/usr/bin/python

import pygtk
pygtk.require('2.0')
import gtk

class fiber:
		
	#move luminos function
 	def move(self,widget,direction):
 		if direction == 'UP': 
 			print 'moving stage ', self.stage, self.xy_spin_button.get_value(), ' in the +Y direction'
 		elif direction == 'DOWN':
 			print 'moving stage ', self.stage, self.xy_spin_button.get_value(), ' in the -Y direction'
 		elif direction == 'RIGHT':
 			print 'moving stage ', self.stage, self.xy_spin_button.get_value(), ' in the +X direction'
 		elif direction == 'LEFT':
 			print 'moving stage ', self.stage, self.xy_spin_button.get_value(), ' in the -X direction'
 		elif direction == 'IN':
			print 'moving stage ', self.stage, self.z_spin_button.get_value(), ' in the +Z direction'
		elif direction == 'OUT':
			print 'moving stage ', self.stage, self.z_spin_button.get_value(), ' in the -Z direction'
		else:
 			print 'function move received direction = ',direction
		
		#insert function to refresh positions

		return
	
	#function for changing active luminos mount, menus in both the luminos and mapping tabs are changed 	
	def luminos_menu_changed(self,combo_box):
		self.stage = combo_box.get_active() + 1
		self.luminos_combo_box.set_active(self.stage - 1)
		self.mapping_combo_box.set_active(self.stage - 1)
		
		#insert function to refresh positions listed
		
		return	
	
	#function for returning an arrow button
	def create_arrow_button(self,arrow_type, shadow_type):
		button = gtk.Button();
    		arrow = gtk.Arrow(arrow_type, shadow_type);
    		button.add(arrow)
    		button.show()
    		arrow.show()
    		return button	
	
	#functions for saving current position to a file
	def save_pos(self,widget):
		
		self.save_filew = gtk.FileSelection('Save position to file')
		self.save_filew.connect("destroy",lambda w: self.save_filew.destroy())
		self.save_filew.ok_button.connect("clicked",self.file_save_action)
		self.save_filew.cancel_button.connect("clicked",lambda w: self.save_filew.destroy())
		
		self.save_filew.show()

	def file_save_action(self,widget):
		print "save info to %s" % self.save_filew.get_filename()
		self.save_filew.destroy()

	#functions for recalling position from a file
	def recall_pos(self,widget):
		
		self.recall_filew = gtk.FileSelection('Recall position from a file')
		self.recall_filew.connect("destroy",lambda w: self.recall_filew.destroy())
		self.recall_filew.ok_button.connect("clicked",self.file_recall_action)
		self.recall_filew.cancel_button.connect("clicked",lambda w: self.recall_filew.destroy())
		
		self.recall_filew.show()

	def file_recall_action(self,widget):
		print "recalled info from %s" % self.recall_filew.get_filename()
		self.recall_filew.destroy()		

		#insert function to refresh position
	
	def move_to_enterred(self,widget):
		print 'moving mount ',self.stage, ' to X:, ',long(self.x_position_entry.get_text()),' Y:,',long(self.y_position_entry.get_text()),' Z:,',long(self.z_position_entry.get_text())
		
	def refresh_positions(self,widget):
		self.xposition = self.xposition +1
		self.yposition = self.yposition +1
		self.zposition = self.zposition +1
		self.x_position_entry.set_text(str(self.xposition))
		self.y_position_entry.set_text(str(self.yposition))
		self.z_position_entry.set_text(str(self.zposition))

	def index_to_enterred(self,widget):
		print 'indexing mount ',self.stage, ' to X:, ',self.x_position_entry.get_text(),' Y:,',self.y_position_entry.get_text(),' Z:,',self.z_position_entry.get_text()

	def renumber_mount(self,widget):
		print 'renumbering mount ',self.stage

	def home_mount(self,widget):
		print 'homing mount ',self.stage
				
#	def xy_step_spin_button_changed(self,widget):
#		self.xy_range_adjustment = gtk.Adjustment(value=self.xy_range_spin_button.get_value()-self.xy_range_spin_button.get_value()%self.xy_step_spin_button.get_value(), lower=self.xy_step_spin_button.get_value(), upper=500., step_incr=self.xy_step_spin_button.get_value(), page_incr=5, page_size=0)
#		self.xy_range_spin_button.configure(adjustment = self.xy_range_adjustment,climb_rate = 1.0, digits=3)
#		print 'xy step spin button changed'
	
	def map_it_up(self,widget):
		#self.mapping_message_window = gtk.Window(gtk.WINDOW_TOPLEVEL)
		#self.mapping_message_window.set_title('Mapping')
		#self.mapping_message_window.show()
		#self.mapping_message = gtk.Label('Currently Mapping, CTRL-Z to stop after current row')
		#self.mapping_message.show()
		#self.mapping_message_window.add(self.mapping_message) 
		

		print 'doing map with mount ',self.stage,' with range, ',self.xy_range_spin_button.get_value(), ' and spacing ',self.xy_step_spin_button.get_value(), ' in microns'

		#self.intensity,self.x,self.y = xy_square()

		#raw_input(':')
		#after map is done close window
		#self.mapping_message_window.destroy()

	def z_map_spin_button_changed(self,widget):
		self.z_spin_button.set_value(self.z_map_spin_button.get_value())

	def z_spin_button_changed(self,widget):
		self.z_map_spin_button.set_value(self.z_spin_button.get_value())

	def move_to_max_toggled(self,widget):
		self.move_to_max = self.move_to_max_check.get_active()
		print 'self.move_to_max = ',self.move_to_max

	def move_to_gauss_peak_toggled(self,widget):
		self.move_to_gauss_peak = self.move_to_gauss_peak_check.get_active()
		print 'self.move_to_gauss_peak = ',self.move_to_gauss_peak

	def display_as_mapped_toggled(self,widget):
		self.display_as_mapped = self.display_as_mapped_check.get_active()
		print 'self.display_as_maped = ',self.display_as_mapped

	def show_surface_after_toggled(self,widget):
		self.show_surface_after = self.show_surface_after_check.get_active()
		print 'self.show_surface_after = ',self.show_surface_after

	def show_image_after_toggled(self,widget):
		self.show_image_after = self.show_image_after_check.get_active()
		print 'self.show_image_after = ',self.show_image_after


	def move_to_last_max(self,widget):
		print 'moving to x: ',self.last_max_x

	def get_current_intensity(self,widget):
		#use get_intensity here to fill in intensity text box
		self.current_intensity = self.current_intensity + 1
		self.get_intensity_text.set_text(str(self.current_intensity))

	def show_last_surface(self,widget):
		print 'plot self.intensity vs self.x and self.y using gplt.surf(), from scipy'

	def show_last_image(self,widget):
		print 'plot self.intensity vs self.x and self.y using imshow(), from pylab'

	def move_to_last_gauss(self,widget):
		print 'move to x: ',long(self.last_gauss_x_text.get_text()),' and y: ',long(self.last_gauss_y_text.get_text())

	def show_last_gauss(self,widget):
		print 'plot self.intensity vs self.x and self.y as image with imshow'
		print 'then overplot a contour of self.intensity_fit and self.x, self.y'

	def img_changed(self,widget,letter):
		if letter == 'a':
			self.range_i[0]=self.a_spin_button.get_value_as_int()
		elif letter == 'b':
			self.range_i[1]=self.b_spin_button.get_value_as_int()
		elif letter == 'c':
			self.range_i[1]=self.c_spin_button.get_value_as_int()
		elif letter == 'd':
			self.range_i[1]=self.d_spin_button.get_value_as_int()

	def view_detector_section(self,widget):
		print 'taking exposure and plotting just across img[',self.range_i[0],':',self.range_i[1],'][',self.range_j[0],':',self.range_j[1],']'


	def view_whole_detector(self,widget):
		print 'taking exposure and plotting all of img, img[:][:]'

	def save_image(self,widget):
		print 'set do_save_image to one, take exposure, then set it back to 0'

	def view_cross_section(self,widget):
		print 'plot only across img[:][',self.e_spin_button.get_value_as_int(),']'

	def run_do_loop(self,widget):
		print 'run do_loop across img[:][',self.e_spin_button.get_value_as_int(),'] for ',self.do_loop_spin_button.get_value(),' iterations'
	def change_exp_time(self,widget):
		print 'change exposure time to', self.exp_time_spin_button.get_value_as_int()
	
	def __init__(self):
		#set defaults
		self.stage = 1
		self.stages = 6 #renumber()
		
		#test variables: (can be deleted)
		self.xposition = 0
		self.yposition = 0
		self.zposition = 0	
		self.current_intensity = 0
		
		self.intensity = [0]
		self.intensity_fit = [0]

		self.last_max_x = 0
		self.last_max_y = 0
		self.last_z = 0
		self.last_max_intensity = 0
		self.last_gauss_x = 0
		self.last_gauss_y = 0
		self.last_gauss_sigmax = 0
		self.last_gauss_sigmay = 0
		
		self.range_i = [0,256]
		self.range_j = [0,256]

		#create window
		self.window = gtk.Window(gtk.WINDOW_TOPLEVEL)
		
		#set window size
		#self.window.set_size_request(300, 150)
		
		#give it a name
		self.window.set_title("Fiber Explorer")
		
		#identify the destroy signal
		self.window.connect("destroy", lambda x: gtk.main_quit())
				
		#create a notebook to sit in the window
		self.notebook = gtk.Notebook()
        	
		#set tabs along the top
		self.notebook.set_tab_pos(gtk.POS_TOP)
        	
		#attach the notebook to the window
		self.window.add(self.notebook)
				
		#create little tables to sit within each notebook page
		self.luminos_table = gtk.Table(8,8,False)
		self.luminos_table.show()
		luminos_label = gtk.Label('Luminos Control')
		self.notebook.append_page(self.luminos_table,luminos_label)
		
		self.mapping_table = gtk.Table(8,8,False)
		self.mapping_table.show()
		mapping_label = gtk.Label('Fiber Mapping')
		self.notebook.append_page(self.mapping_table,mapping_label)

		self.detector_table = gtk.Table(8,8,False)
		self.detector_table.show()
		detector_label = gtk.Label('Detector Control')
		self.notebook.append_page(self.detector_table,detector_label)

		##############  LUMINOS TAB   ###############
		
		#add 'combo-menu' for choosing luminos mount to move
		self.luminos_combo_box = gtk.combo_box_new_text()
        	self.luminos_combo_box.set_wrap_width(1)
       	 	for i in range(self.stages):
            		self.luminos_combo_box.append_text('Luminos Stage # %d' % (i+1))
        	self.luminos_combo_box.set_active(self.stage-1)
        	self.luminos_combo_box.connect("changed",self.luminos_menu_changed)
		self.luminos_table.attach(self.luminos_combo_box,0,1,0,1,xoptions = False,yoptions = False,xpadding = 10, ypadding = 10)
			
		#joystick for moving x and y (has it's own table withing luminos_table)
		
		self.joystick_table = gtk.Table(5,3,True)

		self.luminos_table.attach(self.joystick_table,0,1,1,2,xoptions = False,yoptions = False)
		
		self.left_xy_button = self.create_arrow_button(gtk.ARROW_LEFT, gtk.SHADOW_IN)
		self.left_xy_button.connect('clicked',self.move,'LEFT')
		self.joystick_table.attach(self.left_xy_button,0,1,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		self.right_xy_button = self.create_arrow_button(gtk.ARROW_RIGHT, gtk.SHADOW_IN)
		self.right_xy_button.connect('clicked',self.move,'RIGHT')
		self.joystick_table.attach(self.right_xy_button,2,3,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
    		self.up_xy_button = self.create_arrow_button(gtk.ARROW_UP, gtk.SHADOW_IN)
		self.up_xy_button.connect('clicked',self.move,'UP')
		self.joystick_table.attach(self.up_xy_button,1,2,0,1,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		self.down_xy_button = self.create_arrow_button(gtk.ARROW_DOWN, gtk.SHADOW_IN)
		self.down_xy_button.connect('clicked',self.move,'DOWN')
		self.joystick_table.attach(self.down_xy_button,1,2,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)

		self.in_z_button = self.create_arrow_button(gtk.ARROW_UP, gtk.SHADOW_IN)
		self.in_z_button.connect('clicked',self.move,'IN')
		self.joystick_table.attach(self.in_z_button,4,5,0,1,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		self.out_z_button = self.create_arrow_button(gtk.ARROW_DOWN, gtk.SHADOW_IN)
		self.out_z_button.connect('clicked',self.move,'OUT')
		self.joystick_table.attach(self.out_z_button,4,5,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)	
		
		#add labels to joystick buttons
		self.xy_label = gtk.Label('XY')
		self.joystick_table.attach(self.xy_label,1,2,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.xy_label.show()
		
		self.z_label = gtk.Label('Z')
		self.joystick_table.attach(self.z_label,4,5,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.z_label.show()
		
		self.joystick_table.show()
		
		#now add 'spin buttons' to select step size of xy and z motion
		
		#for xy, clicking w/left button increments 0.5 microns, clicking with right increments .004 microns (one step)
		self.xy_adjustment = gtk.Adjustment(value=2.000, lower=0.004, upper=50., step_incr=0.004, page_incr=.5, page_size=0)
		self.xy_spin_button = gtk.SpinButton(adjustment=self.xy_adjustment, climb_rate=0.0, digits=3)
		#constrain entered values to numbers (not letters)
		self.xy_spin_button.set_numeric(numeric=True)
		#do not wrap from 100 microns to 0.
		self.xy_spin_button.set_wrap(wrap=False)
		#if user enters a non-multiple of 0.004, the number is rounded off
		self.xy_spin_button.set_snap_to_ticks(snap_to_ticks=True)
		#only change the value entered if it is a number within range
		self.xy_spin_button.set_update_policy(True)
		self.xy_spin_button.show()
		
		#now for z, left button does 0.1 microns, right does 10
		self.z_adjustment = gtk.Adjustment(value=10., lower=0.1, upper=500.0, step_incr=0.1, page_incr=5, page_size=0)
		self.z_spin_button = gtk.SpinButton(adjustment=self.z_adjustment, climb_rate=0.0, digits=1)
		#constrain entered values to numbers (not letters)
		self.z_spin_button.set_numeric(numeric=True)
		#do not wrap from 100 microns to 0.
		self.z_spin_button.set_wrap(wrap=False)
		#if user enters a non-multiple of 0.1, the number is rounded off
		self.z_spin_button.set_snap_to_ticks(snap_to_ticks=True)
		#only change the value entered if it is a number within range
		self.z_spin_button.set_update_policy(True)
		self.z_spin_button.connect("changed",self.z_spin_button_changed)
		self.z_spin_button.show()
		
		#add these to the luminos_table in it's own table with lables
		self.spin_button_table = gtk.Table(2,3,False)
		#add spin_table to luminos table
		self.luminos_table.attach(self.spin_button_table,1,2,0,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		#add spin buttons and lables to spin_table
		self.spin_button_table.attach(self.xy_spin_button,1,2,0,1,xpadding = 2, ypadding = 2)
		self.spin_button_table.attach(self.z_spin_button,1,2,1,2,xpadding = 2, ypadding = 2)
		self.xy_spin_label = gtk.Label('XY step size:')
		self.xy_spin_label.show()
		self.z_spin_label = gtk.Label('Z step size:')
		self.z_spin_label.show()
		self.microns_label = gtk.Label('microns')
		self.microns_label.show()
		self.spin_button_table.attach(self.xy_spin_label,0,1,0,1,xpadding = 2, ypadding = 2)
		self.spin_button_table.attach(self.z_spin_label,0,1,1,2,xpadding = 2, ypadding = 2)
		self.spin_button_table.attach(self.microns_label,2,3,0,2,xpadding = 2, ypadding = 2)
		self.spin_button_table.show()
		
		#Directly enter position for Luminos:
		#x edittable box & label:
		self.x_position_entry = gtk.Entry(max=6)
		self.x_position_entry.set_text(str(0))
		self.x_position_entry.show()
		self.x_position_entry_label = gtk.Label('X pos in steps')
		self.x_position_entry_label.show()
		
		#y edittable box & label:
		self.y_position_entry = gtk.Entry(max=6)
		self.y_position_entry.set_text(str(0))
		self.y_position_entry.show()
		self.y_position_entry_label = gtk.Label('Y pos in steps')
		self.y_position_entry_label.show()
		
		#z edittable box & label:	
		self.z_position_entry = gtk.Entry(max=6)
		self.z_position_entry.set_text(str(0))
		self.z_position_entry.show()
		self.z_position_entry_label = gtk.Label('Z pos in steps')
		self.z_position_entry_label.show()		
		
		#create a table to hold these
		self.position_table = gtk.Table(4,3,False)
		self.position_table.show()
		self.position_table.attach(self.x_position_entry,1,2,0,1,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.position_table.attach(self.x_position_entry_label,0,1,0,1,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.position_table.attach(self.y_position_entry,1,2,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.position_table.attach(self.y_position_entry_label,0,1,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.position_table.attach(self.z_position_entry,1,2,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.position_table.attach(self.z_position_entry_label,0,1,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		#Attach position_tabel to luminos_table
		self.luminos_table.attach(self.position_table,0,1,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		#Add more control buttons to move to an enterred position
		#self.move_button_label = gtk.Label('Move to')
		self.move_button = gtk.Button('Move to')
		self.move_button.connect("clicked",self.move_to_enterred)
		self.move_button.show()
		#self.move_button_label.show()		

		#self.refresh_button_label = gtk.Label('Refresh')
		self.refresh_button = gtk.Button('Refresh')
		self.refresh_button.connect("clicked",self.refresh_positions)
		#self.refresh_button_label.show()
		self.refresh_button.show()

		#self.index_button_label = gtk.Label('Index as')
		self.index_button = gtk.Button('Index as')
		self.index_button.connect("clicked",self.index_to_enterred)
		self.index_button.show()
		#self.index_button_label.show()		

		#self.renumber_button_label = gtk.Label('Renumber')
		self.renumber_button = gtk.Button('Renumber')
		self.renumber_button.connect("clicked",self.renumber_mount)
		#self.renumber_button_label.show()
		self.renumber_button.show()

		#self.home_button_label = gtk.Label('Home')
		self.home_button = gtk.Button('Home')
		self.home_button.connect("clicked",self.home_mount)
		#self.home_button_label.show()
		self.home_button.show()

		self.save_position_button = gtk.Button('Save Position to File')
		self.save_position_button.connect("clicked",self.save_pos)
		#self.save_position_label = gtk.Label('Save Position to File')
		#self.save_position_button.add(self.save_position_label)
		#self.luminos_table.attach(self.save_position_button,0,1,3,4,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		#self.save_position_label.show()
		self.save_position_button.show()
		
		self.recall_position_button = gtk.Button('Recall Position from File')
		self.recall_position_button.connect("clicked",self.recall_pos)
		#self.recall_position_label = gtk.Label('Recall Position from File')
		#self.recall_position_button.add(self.recall_position_label)
		#self.luminos_table.attach(self.recall_position_button,1,2,3,4,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		#self.recall_position_label.show()
		self.recall_position_button.show()

		#create a table  buttons
		self.position_button_table = gtk.Table(2,3,False)
		self.position_button_table.show()
		self.luminos_table.attach(self.position_button_table,1,2,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.position_button_table.attach(self.move_button,0,1,0,1,xpadding = 2, ypadding = 2)
		self.position_button_table.attach(self.refresh_button,0,1,1,2,xpadding = 2, ypadding = 2)
		self.position_button_table.attach(self.index_button,0,1,2,3,xpadding = 2, ypadding = 2)
		self.position_button_table.attach(self.home_button,1,2,0,1,xpadding = 2, ypadding = 2)
		self.position_button_table.attach(self.save_position_button,1,2,1,2,xpadding = 2, ypadding = 2)
		self.position_button_table.attach(self.recall_position_button,1,2,2,3,xpadding = 2, ypadding = 2)
		
		self.luminos_table.attach(self.renumber_button,1,2,3,4,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)

		#############################################
		

		#############  MAPPING TAB  #################		
		
		#add combo menu for choosing which mount to move
		self.mapping_combo_box = gtk.combo_box_new_text()
        	self.mapping_combo_box.set_wrap_width(1)
       	 	for i in range(self.stages):
            		self.mapping_combo_box.append_text('Luminos Stage # %d' % (i+1))
        	self.mapping_combo_box.set_active(self.stage - 1)
        	self.mapping_combo_box.connect("changed",self.luminos_menu_changed)
		self.mapping_table.attach(self.mapping_combo_box,0,1,0,1,xoptions = False,yoptions = False,xpadding = 10, ypadding = 10)

		#add spin buttons for xy range and step for a map:
		self.xy_range_adjustment = gtk.Adjustment(value=20., lower=0.004, upper=500., step_incr=0.004, page_incr=5, page_size=0)
		self.xy_range_spin_button = gtk.SpinButton(adjustment=self.xy_range_adjustment, climb_rate=0.0, digits=3)
		#constrain entered values to numbers (not letters)
		self.xy_range_spin_button.set_numeric(numeric=True)
		#do not wrap around.
		self.xy_range_spin_button.set_wrap(wrap=False)
		#if user enters a non-multiple of 0.1, the number is rounded off
		self.xy_range_spin_button.set_snap_to_ticks(snap_to_ticks=True)
		#only change the value entered if it is a number within range
		self.xy_range_spin_button.set_update_policy(True)
		self.xy_range_spin_button.show()
		
		self.xy_step_adjustment = gtk.Adjustment(value=2., lower=0.004, upper=500.0, step_incr=0.004, page_incr=1, page_size=0)
		self.xy_step_spin_button = gtk.SpinButton(adjustment=self.xy_step_adjustment, climb_rate=0.0, digits=3)
		#constrain entered values to numbers (not letters)
		self.xy_step_spin_button.set_numeric(numeric=True)
		#do not wrap from 100 microns to 0.
		self.xy_step_spin_button.set_wrap(wrap=False)
		#if user enters a non-multiple of 0.1, the number is rounded off
		self.xy_step_spin_button.set_snap_to_ticks(snap_to_ticks=True)
		#only change the value entered if it is a number within range
		self.xy_step_spin_button.set_update_policy(True)
		self.xy_step_spin_button.show()

		self.xy_range_label = gtk.Label('XY Range:')
		self.xy_range_label.show()
		self.xy_step_label = gtk.Label('XY Step: ')
		self.xy_step_label.show()
		self.xy_map_microns = gtk.Label('microns')
		self.xy_map_microns.show()

		self.xy_map_table = gtk.Table(2,3)
		self.xy_map_table.show()
		self.xy_map_table.attach(self.xy_range_label,0,1,0,1,xpadding = 2, ypadding = 2)
		self.xy_map_table.attach(self.xy_step_label,0,1,1,2,xpadding = 2, ypadding = 2)
		self.xy_map_table.attach(self.xy_range_spin_button,1,2,0,1,xpadding = 2, ypadding = 2)
		self.xy_map_table.attach(self.xy_step_spin_button,1,2,1,2,xpadding = 2, ypadding = 2)
		self.xy_map_table.attach(self.xy_map_microns,2,3,0,2,xpadding = 2, ypadding = 2)

		self.mapping_table.attach(self.xy_map_table,0,1,1,2,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		#test for "changed" signal in spin buttons:
		#self.xy_step_spin_button.connect("changed",self.xy_step_spin_button_changed)
		
		#insert button to perform the mapping
		self.xy_mapping_button = gtk.Button('Perform Map')
		self.xy_mapping_button.show()
		self.xy_mapping_button.connect("clicked",self.map_it_up)
		
		self.mapping_table.attach(self.xy_mapping_button,1,2,0,1,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)	
		
		#Focus control
		self.in_z_map_button = self.create_arrow_button(gtk.ARROW_UP, gtk.SHADOW_IN)
		self.in_z_map_button.connect('clicked',self.move,'IN')
		self.in_z_map_button.show()
				
		self.out_z_map_button = self.create_arrow_button(gtk.ARROW_DOWN, gtk.SHADOW_IN)
		self.out_z_map_button.connect('clicked',self.move,'OUT')
		self.in_z_map_button.show()			

		self.z_button_label = gtk.Label('Z')
		self.z_button_label.show()

		self.z_map_adjustment = gtk.Adjustment(value=10., lower=0.1, upper=500.0, step_incr=0.1, page_incr=5, page_size=0)
		self.z_map_spin_button = gtk.SpinButton(adjustment=self.z_map_adjustment, climb_rate=0.0, digits=1)
		#constrain entered values to numbers (not letters)
		self.z_map_spin_button.set_numeric(numeric=True)
		#do not wrap from 100 microns to 0.
		self.z_map_spin_button.set_wrap(wrap=False)
		#if user enters a non-multiple of 0.1, the number is rounded off
		self.z_map_spin_button.set_snap_to_ticks(snap_to_ticks=True)
		#only change the value entered if it is a number within range
		self.z_map_spin_button.set_update_policy(True)
		self.z_map_spin_button.connect("changed",self.z_map_spin_button_changed)
		self.z_map_spin_button.show()

		self.z_map_spin_button_label = gtk.Label('step size:')		
		self.z_map_spin_button_label.show()
		self.z_map_spin_button_microns = gtk.Label('microns')		
		self.z_map_spin_button_microns.show()	
		
		#display z position in microns:
		self.z_position_microns_label = gtk.Label('Z pos:')
		self.z_position_microns_label.show()
		self.z_position_microns_microns = gtk.Label('microns')
		self.z_position_microns_microns.show()

		self.z_position_microns = gtk.Entry()
		self.z_position_microns.show()
		#self.z_position_microns.set_text(str(absolute_position(self.stage,1))
		self.z_position_microns.set_editable(False)

		self.change_focus_table = gtk.Table(3,4,False)
		self.change_focus_table.show()
		self.change_focus_table.attach(self.in_z_map_button,0,1,0,1)#,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.change_focus_table.attach(self.out_z_map_button,0,1,2,3)#,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.change_focus_table.attach(self.z_button_label,0,1,1,2)#,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.change_focus_table.attach(self.z_map_spin_button_label,1,2,1,2)#,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.change_focus_table.attach(self.z_map_spin_button,2,3,1,2)#,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.change_focus_table.attach(self.z_map_spin_button_microns,3,4,1,2)#,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		self.focus_position_table = gtk.Table(1,3,False)
		self.focus_position_table.show()
		self.focus_position_table.attach(self.z_position_microns_label,0,1,0,1,xpadding = 2, ypadding = 2)		
		self.focus_position_table.attach(self.z_position_microns,1,2,0,1,xpadding = 2, ypadding = 2)	
		self.focus_position_table.attach(self.z_position_microns_microns,2,3,0,1,xpadding = 2, ypadding = 2)	

		self.mapping_table.attach(self.change_focus_table,0,1,2,3,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		self.mapping_table.attach(self.focus_position_table,0,1,3,4,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)

		self.mapping_settings_label = gtk.Label('Settings')
		self.mapping_settings_label.show()
		
		self.move_to_max = 0
		self.move_to_max_check = gtk.CheckButton('Move to max after mapping')
		self.move_to_max_check.show()
		self.move_to_max_check.connect("toggled",self.move_to_max_toggled)

		self.move_to_gauss_peak = 0
		self.move_to_gauss_peak_check = gtk.CheckButton('Move to Gauss peak after mapping')
		self.move_to_gauss_peak_check.show()
		self.move_to_gauss_peak_check.connect("toggled",self.move_to_gauss_peak_toggled)

		self.display_as_mapped = 0
		self.display_as_mapped_check = gtk.CheckButton('Display image while mapping')
		self.display_as_mapped_check.show()
		self.display_as_mapped_check.connect("toggled",self.display_as_mapped_toggled)

		self.show_surface_after = 0
		self.show_surface_after_check = gtk.CheckButton('Show surface after mapping')
		self.show_surface_after_check.show()
		self.show_surface_after_check.connect("toggled",self.show_surface_after_toggled)

		self.show_image_after = 0
		self.show_image_after_check = gtk.CheckButton('Show image after mapping')
		self.show_image_after_check.show()
		self.show_image_after_check.connect("toggled",self.show_image_after_toggled)

		self.mapping_settings_table = gtk.Table(6,1,False)
		self.mapping_settings_table.show()

		self.mapping_settings_table.attach(self.mapping_settings_label,0,1,0,1)#,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)
		self.mapping_settings_table.attach(self.move_to_max_check,0,1,1,2)#,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)	
		self.mapping_settings_table.attach(self.move_to_gauss_peak_check,0,1,2,3)#,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)	
		self.mapping_settings_table.attach(self.display_as_mapped_check,0,1,3,4)#,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)
		self.mapping_settings_table.attach(self.show_surface_after_check,0,1,4,5)#,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)
		self.mapping_settings_table.attach(self.show_image_after_check,0,1,5,6)#,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)

		self.mapping_table.attach(self.mapping_settings_table,0,1,4,5,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)

		#now print the position of the last maximum and it's intensity
		self.last_max_x_label = gtk.Label('Max X:')
		self.last_max_x_label.show()
		self.last_max_y_label = gtk.Label('Max Y:')
		self.last_max_y_label.show()		
		self.last_max_z_label = gtk.Label('Z:')
		self.last_max_z_label.show()
		self.last_max_intensity_label = gtk.Label('Max intensity:')
		self.last_max_intensity_label.show()

		self.last_max_x_text = gtk.Entry(max=6)
		self.last_max_x_text.show()
		self.last_max_x_text.set_text(str(self.last_max_x))
		self.last_max_x_text.set_editable(False) 
		
		self.last_max_y_text = gtk.Entry(max=6)
		self.last_max_y_text.show()
		self.last_max_y_text.set_text(str(self.last_max_y))
		self.last_max_y_text.set_editable(False)

		self.last_max_z_text = gtk.Entry(max=6)
		self.last_max_z_text.show()
		self.last_max_z_text.set_text(str(self.last_z))
		self.last_max_z_text.set_editable(False)

		self.last_max_intensity_text = gtk.Entry(max=6)
		self.last_max_intensity_text.show()
		self.last_max_intensity_text.set_text(str(self.last_max_intensity))
		self.last_max_intensity_text.set_editable(False)		

		self.last_max_table = gtk.Table(4,3,False)
		self.last_max_table.show()

		self.last_max_table.attach(self.last_max_x_label,0,1,0,1)
		self.last_max_table.attach(self.last_max_y_label,0,1,1,2)
		self.last_max_table.attach(self.last_max_z_label,0,1,2,3)
		self.last_max_table.attach(self.last_max_intensity_label,0,1,3,4)
		
		self.last_max_table.attach(self.last_max_x_text,1,2,0,1)
		self.last_max_table.attach(self.last_max_y_text,1,2,1,2)
		self.last_max_table.attach(self.last_max_z_text,1,2,2,3)
		self.last_max_table.attach(self.last_max_intensity_text,1,2,3,4)

		self.mapping_table.attach(self.last_max_table,1,2,1,2,xoptions = False,yoptions = False,xpadding = 10, ypadding = 2)

		self.move_to_last_max_button = gtk.Button('Move to last max')
		self.move_to_last_max_button.show()
		self.move_to_last_max_button.connect("clicked",self.move_to_last_max)
		
		self.move_to_last_gauss_button = gtk.Button('Move to Gauss peak')
		self.move_to_last_gauss_button.show()
		self.move_to_last_gauss_button.connect("clicked",self.move_to_last_gauss)

		self.show_last_surface_button = gtk.Button('Surface of last map')
		self.show_last_surface_button.show()
		self.show_last_surface_button.connect("clicked",self.show_last_surface)

		self.show_last_image_button = gtk.Button('Image of last map')
		self.show_last_image_button.show()
		self.show_last_image_button.connect("clicked",self.show_last_image)

		self.show_last_gauss_button = gtk.Button('Contour of Gauss fit')
		self.show_last_gauss_button.show()
		self.show_last_gauss_button.connect("clicked",self.show_last_gauss)

		self.last_button_table = gtk.Table(3,1,False)
		self.last_button_table.show()
		self.last_button_table.attach(self.move_to_last_max_button,0,1,0,1,xpadding = 2,ypadding = 2)
		self.last_button_table.attach(self.show_last_surface_button,0,1,1,2,xpadding = 2,ypadding = 2)
		self.last_button_table.attach(self.show_last_image_button,0,1,2,3,xpadding = 2,ypadding = 2)
		
		self.last_max_table.attach(self.last_button_table,2,3,0,4,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		self.last_gauss_x_label = gtk.Label('Gauss peak X:')
		self.last_gauss_x_label.show()
		self.last_gauss_y_label = gtk.Label('Gauss peak Y:')
		self.last_gauss_y_label.show()		
		self.last_gauss_sigmax_label = gtk.Label('Gauss sigma X:')
		self.last_gauss_sigmax_label.show()
		self.last_gauss_sigmay_label = gtk.Label('Gauss sigma Y:')
		self.last_gauss_sigmay_label.show()
		self.last_gauss_amp_label = gtk.Label('Gauss amp:')
		self.last_gauss_amp_label.show()
		
	
		self.last_gauss_x_text = gtk.Entry(max=6)
		self.last_gauss_x_text.show()
		self.last_gauss_x_text.set_text(str(self.last_max_x))
		self.last_gauss_x_text.set_editable(False) 
		
		self.last_gauss_y_text = gtk.Entry(max=6)
		self.last_gauss_y_text.show()
		self.last_gauss_y_text.set_text(str(self.last_max_y))
		self.last_gauss_y_text.set_editable(False)

		self.last_gauss_sigmax_text = gtk.Entry(max=6)
		self.last_gauss_sigmax_text.show()
		self.last_gauss_sigmax_text.set_text(str(self.last_gauss_sigmax))
		self.last_gauss_sigmax_text.set_editable(False)
	
		self.last_gauss_sigmay_text = gtk.Entry(max=6)
		self.last_gauss_sigmay_text.show()
		self.last_gauss_sigmay_text.set_text(str(self.last_gauss_sigmay))
		self.last_gauss_sigmay_text.set_editable(False)

		self.last_gauss_amp_text = gtk.Entry()
		self.last_gauss_amp_text.show()
		self.last_gauss_amp_text.set_text(str(self.last_max_y))
		self.last_gauss_amp_text.set_editable(False)

		self.last_gauss_table = gtk.Table(5,3,False)
		self.last_gauss_table.show()

		self.last_gauss_table.attach(self.last_gauss_x_label,0,1,0,1)
		self.last_gauss_table.attach(self.last_gauss_y_label,0,1,1,2)
		self.last_gauss_table.attach(self.last_gauss_sigmax_label,0,1,3,4)
		self.last_gauss_table.attach(self.last_gauss_sigmay_label,0,1,4,5)
		self.last_gauss_table.attach(self.last_gauss_amp_label,0,1,2,3)
		
		self.last_gauss_table.attach(self.last_gauss_x_text,1,2,0,1)
		self.last_gauss_table.attach(self.last_gauss_y_text,1,2,1,2)
		self.last_gauss_table.attach(self.last_gauss_sigmax_text,1,2,3,4)
		self.last_gauss_table.attach(self.last_gauss_sigmay_text,1,2,4,5)
		self.last_gauss_table.attach(self.last_gauss_amp_text,1,2,2,3)
		
		self.last_gauss_buttons_table = gtk.Table(2,1,True)
		self.last_gauss_buttons_table.show()

		self.last_gauss_buttons_table.attach(self.move_to_last_gauss_button,0,1,0,1,yoptions = False,xpadding = 2, ypadding = 2)
		self.last_gauss_buttons_table.attach(self.show_last_gauss_button,0,1,1,2,yoptions = False,xpadding = 2, ypadding = 2)
		self.last_gauss_table.attach(self.last_gauss_buttons_table,2,3,0,3,xpadding = 2, ypadding = 2)

		#self.last_gauss_table.attach(self.move_to_last_gauss_button,2,3,0,2,xoptions = False,yoptions = False,xpadding = 2,ypadding = 2)
		#self.last_gauss_table.attach(self.show_last_gauss_button,2,3,4,5,yoptions = False,xpadding = 2,ypadding = 2)

		self.last_gauss_sigma_microns = gtk.Label('microns')
		self.last_gauss_sigma_microns.show()

		self.last_gauss_table.attach(self.last_gauss_sigma_microns,2,3,3,5,xpadding = 2,ypadding = 2)

		self.mapping_table.attach(self.last_gauss_table,1,2,2,4,xoptions = False,yoptions = False,xpadding = 2, ypadding = 10)

		#add button to get current intensity
		self.get_intensity_button = gtk.Button('Get current intensity')
		self.get_intensity_button.connect("clicked",self.get_current_intensity)
		self.get_intensity_button.show()

		#add text box to display current intensity
		self.get_intensity_text = gtk.Entry()
		self.get_intensity_text.set_text(str(self.current_intensity))
		self.get_intensity_text.set_editable(False)
		self.get_intensity_text.show()

		#create a table to hold these widgets
		self.get_intensity_table = gtk.Table(1,2,False)
		self.get_intensity_table.show()
		self.get_intensity_table.attach(self.get_intensity_button,0,1,0,1,xpadding = 2, ypadding = 2)
		self.get_intensity_table.attach(self.get_intensity_text,1,2,0,1,xpadding = 2,ypadding = 2)

		self.mapping_table.attach(self.get_intensity_table,1,2,4,5,xoptions = False,yoptions = False,xpadding = 2, ypadding = 2)
		
		#############################################

		############ Detector Tab ###################

		#create a bunch of buttons
		self.view_detector_section_button = gtk.Button('View section of detector')
		self.view_detector_section_button.connect("clicked",self.view_detector_section)
		self.view_detector_section_button.show()

		self.view_whole_detector_button = gtk.Button('View whole detector')
		self.view_whole_detector_button.connect("clicked",self.view_whole_detector)
		self.view_whole_detector_button.show()

		self.save_image_button = gtk.Button('Save image to file')
		self.save_image_button.connect("clicked",self.save_image)
		self.save_image_button.show()
		
		self.view_cross_section_button = gtk.Button('View cross section')
		self.view_cross_section_button.connect("clicked",self.view_cross_section)
		self.view_cross_section_button.show()
		
		self.run_do_loop_button = gtk.Button('Run do loop')
		self.run_do_loop_button.connect("clicked",self.run_do_loop)
		self.run_do_loop_button.show()

		#pack these into a table
		self.detector_buttons_table = gtk.Table(5,1,True)
		self.detector_buttons_table.show()
		self.detector_buttons_table.attach(self.view_detector_section_button,0,1,0,1,xpadding =2,ypadding=2)
		self.detector_buttons_table.attach(self.view_whole_detector_button,0,1,1,2,xpadding =2,ypadding=2)	
		self.detector_buttons_table.attach(self.save_image_button,0,1,2,3,xpadding =2,ypadding=2)
		self.detector_buttons_table.attach(self.view_cross_section_button,0,1,3,4,xpadding =2,ypadding=2)
		self.detector_buttons_table.attach(self.run_do_loop_button,0,1,4,5,xpadding =2,ypadding=2)
		
		#pack this into the detector table
		self.detector_table.attach(self.detector_buttons_table,0,1,0,1,xoptions=False,yoptions=False,xpadding=2,ypadding=2)
		
		#now make some labels and spin buttons for changing settings
		self.pixel_range_label = gtk.Label('Pixel range, img[a:b][c:d]')
		self.pixel_range_label.show()

		self.a_label = gtk.Label('a:')
		self.b_label = gtk.Label('b:')
		self.c_label = gtk.Label('c:')
		self.d_label = gtk.Label('d:')

		self.a_label.show()
		self.b_label.show()
		self.c_label.show()
		self.d_label.show()

		self.a_adjustment = gtk.Adjustment(value=0, lower=0, upper=256, step_incr=1, page_incr=0, page_size=0)		
		self.c_adjustment = gtk.Adjustment(value=0, lower=0, upper=256, step_incr=1, page_incr=0, page_size=0)
		self.b_adjustment = gtk.Adjustment(value=256, lower=0, upper=256, step_incr=1, page_incr=0, page_size=0)	
		self.d_adjustment = gtk.Adjustment(value=256, lower=0, upper=256, step_incr=1, page_incr=0, page_size=0)
		
		self.a_spin_button = gtk.SpinButton(adjustment=self.a_adjustment, climb_rate=0.0, digits=0)
		self.b_spin_button = gtk.SpinButton(adjustment=self.b_adjustment, climb_rate=0.0, digits=0)
		self.c_spin_button = gtk.SpinButton(adjustment=self.c_adjustment, climb_rate=0.0, digits=0)
		self.d_spin_button = gtk.SpinButton(adjustment=self.d_adjustment, climb_rate=0.0, digits=0)
		
		self.a_spin_button.set_numeric(True)
		self.b_spin_button.set_numeric(True)
		self.c_spin_button.set_numeric(True)	
		self.d_spin_button.set_numeric(True)

		self.a_spin_button.set_wrap(False)
		self.b_spin_button.set_wrap(False)
		self.c_spin_button.set_wrap(False)	
		self.d_spin_button.set_wrap(False)

		self.a_spin_button.set_update_policy(True)
		self.b_spin_button.set_update_policy(True)
		self.c_spin_button.set_update_policy(True)	
		self.d_spin_button.set_update_policy(True)

		self.a_spin_button.connect("changed",self.img_changed,'a')
		self.b_spin_button.connect("changed",self.img_changed,'b')
		self.c_spin_button.connect("changed",self.img_changed,'c')	
		self.d_spin_button.connect("changed",self.img_changed,'d')
		
		self.a_spin_button.show()
		self.b_spin_button.show()
		self.c_spin_button.show()
		self.d_spin_button.show()
		
		#make tables to attach label to spin button
		self.a_table = gtk.Table(1,2,False)
		self.a_table.show()
		self.a_table.attach(self.a_label,0,1,0,1)
		self.a_table.attach(self.a_spin_button,1,2,0,1)

		self.b_table = gtk.Table(1,2,False)
		self.b_table.show()
		self.b_table.attach(self.b_label,0,1,0,1)
		self.b_table.attach(self.b_spin_button,1,2,0,1)

		self.c_table = gtk.Table(1,2,False)
		self.c_table.show()
		self.c_table.attach(self.c_label,0,1,0,1)
		self.c_table.attach(self.c_spin_button,1,2,0,1)

		self.d_table = gtk.Table(1,2,False)
		self.d_table.show()
		self.d_table.attach(self.d_label,0,1,0,1)
		self.d_table.attach(self.d_spin_button,1,2,0,1)
		
		#now create stuff for the cross section
		self.cross_section_label = gtk.Label('Cross sectrion across img[:][e]')
		self.cross_section_label.show()
		self.e_label = gtk.Label('e:')
		self.e_label.show()

		self.e_adjustment = gtk.Adjustment(value=0, lower=0, upper=256, step_incr=1, page_incr=0, page_size=0)
		self.e_spin_button = gtk.SpinButton(adjustment=self.e_adjustment,climb_rate=0.0,digits=0)
		self.e_spin_button.show()

		self.cross_section_table = gtk.Table(1,2,False)
		self.cross_section_table.show()
		self.cross_section_table.attach(self.e_label,0,1,0,1)#,xpadding = 2,ypadding = 2)
		self.cross_section_table.attach(self.e_spin_button,1,2,0,1)#,xpadding = 2,ypadding =2)
		
		#now create stuff for the interations
		self.do_loop_label = gtk.Label('Do loop iterations:')
		self.do_loop_label.show()
		self.do_loop_iteration_adjustment = gtk.Adjustment(value=50, lower=0, upper=1000, step_incr=5, page_incr=0, page_size=0)
		self.do_loop_spin_button = gtk.SpinButton(adjustment = self.do_loop_iteration_adjustment,climb_rate=0.0,digits=0)
		self.do_loop_spin_button.show()
		#pack these into a table
		#self.do_loop_table = gtk.Table(1,2,False)
		#self.do_loop_table.show()
		#self.do_loop_table.attach(self.do_loop_label,0,1,0,1,xpadding = 2,ypadding=2)
		#self.do_loop_table.attach(self.do_loop_spin_button,1,2,0,1,xpadding=2,ypadding=2)

		#now for exposure time
		self.exp_time_label = gtk.Label('Exposure time:')
		self.exp_time_label.show()
		self.exp_time_adjustment = gtk.Adjustment(value=20, lower=1, upper=1000, step_incr=1, page_incr=0, page_size=0)
		self.exp_time_spin_button = gtk.SpinButton(adjustment = self.exp_time_adjustment,climb_rate=0.0,digits=0)
		self.exp_time_spin_button.show()
		self.exp_time_spin_button.connect("changed",self.change_exp_time)
		self.exp_time_seconds = gtk.Label('miliseconds')
		self.exp_time_seconds.show()
		#pack these into a table
		#self.exp_time_table = gtk.Table(1,3,False)
		#self.exp_time_table.show()
		#self.exp_time_table.attach(self.exp_time_label,0,1,0,1,xpadding = 2,ypadding=2)
		#self.exp_time_table.attach(self.exp_time_spin_button,1,2,0,1,xpadding=2,ypadding=2)
		#self.exp_time_table.attach(self.exp_time_seconds,2,3,0,1,xpadding=2,ypadding=2)

		#pack this all into one big table
		self.detector_settings_table = gtk.Table(5,2,False)
		self.detector_settings_table.show()
		self.detector_settings_table.attach(self.pixel_range_label,0,2,0,1,xpadding=2,ypadding=2)
		self.detector_settings_table.attach(self.a_table,0,1,1,2,xpadding=2,ypadding=2)
		self.detector_settings_table.attach(self.b_table,1,2,1,2,xpadding=2,ypadding=2)
		self.detector_settings_table.attach(self.c_table,0,1,2,3,xpadding=2,ypadding=2)
		self.detector_settings_table.attach(self.d_table,1,2,2,3,xpadding=2,ypadding=2)
		self.detector_settings_table.attach(self.cross_section_label,0,2,3,4,xpadding=2,ypadding=2)
		self.detector_settings_table.attach(self.cross_section_table,0,1,4,5,xpadding=2,ypadding=2)
		#self.detector_settings_table.attach(self.do_loop_label,0,1,5,6,xpadding=2,ypadding=2)
		#self.detector_settings_table.attach(self.do_loop_spin_button,1,2,5,6,xpadding=2,ypadding=2)
		#self.detector_settings_table.attach(self.do_loop_table,0,2,5,6,xoptions=False,xpadding=2,ypadding=2)
		#self.detector_settings_table.attach(self.exp_time_table,0,2,6,7,xoptions=False,xpadding=2,ypadding=2)
		#self.detector_settings_table.attach(self.exp_time_label	
		
		self.detector_settings_table2 = gtk.Table(2,3,False)
		self.detector_settings_table2.show()
		self.detector_settings_table2.attach(self.do_loop_label,0,1,0,1,xpadding=2,ypadding=2)
		self.detector_settings_table2.attach(self.do_loop_spin_button,1,2,0,1,xpadding=2,ypadding=2)
		self.detector_settings_table2.attach(self.exp_time_label,0,1,1,2,xpadding=2,ypadding=2)
		self.detector_settings_table2.attach(self.exp_time_spin_button,1,2,1,2,xpadding=2,ypadding=2)
		self.detector_settings_table2.attach(self.exp_time_seconds,2,3,1,2,xpadding=2,ypadding=2)
		
		#now add this to the detector table
		self.detector_table.attach(self.detector_settings_table,1,2,0,1,xoptions=False,yoptions=False,xpadding=2,ypadding=2)
		self.detector_table.attach(self.detector_settings_table2,1,2,1,2,xoptions=False,yoptions=False,xpadding=2,ypadding=2)
		
	
		#############################################		
		
		self.window.show()
		self.notebook.show()
		
		self.luminos_combo_box.show()
		self.mapping_combo_box.show()
		
		self.detector_table.show()
		

	def main(self):
		
		gtk.main()

print __name__
if __name__ == "__main__":
	fiber = fiber()
	fiber.main()
