#include <stdio.h>
#include <curses.h>
#include <fcntl.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>

int main(int argc, char **argv)
{
	MEVENT	mouse;
	mmask_t	old_mask;
	int	c;

	initscr();      /* Initialise curses */
	cbreak();
	keypad(stdscr,TRUE);

	mouse.x = mouse.y = mouse.z = 0;
	wprintw(stdscr,"mousemask() = %lo\n",mousemask(ALL_MOUSE_EVENTS,&old_mask));
	wprintw(stdscr,"old_mask = %lo\n",old_mask);
	wrefresh(stdscr);
	while((c = wgetch(stdscr)) != KEY_END)
	{
		if (c == KEY_MOUSE)
		{
			mvwprintw(stdscr,2,0,"getmouse() = %d\n",getmouse(&mouse));
			mvwprintw(stdscr,3,0,"id = %d\n",mouse.id);
			mvwprintw(stdscr,4,0,"x,y,z  = %d,%d,%d\n",
				mouse.x,mouse.y,mouse.z);
			mvwprintw(stdscr,5,0,"bstate = %lo\n\n",mouse.bstate);
		}
		else
		{
			wprintw(stdscr,"%c",c);
		}
		wrefresh(stdscr);
	}

	endwin();

	exit(0);
}

