#define PI  3.14159265

#define SQR(a)        ((a) * (a))
#define MIN(a, b)     (((a) < (b)) ? (a) : (b))
#define MAX(a, b)     (((a) > (b)) ? (a) : (b))
#define SUM(a, b)     (a + b)
#define SUMSQR(a, b)  ( ((a)*(a)) + ((b)*(b)) )
#define ROUND(a)      ((a)>0 ? (int)((a)+0.5) : -(int)(0.5-(a)))

#define ARANGE(a, b)        for ( i = 0; i < b; i++) a[i] = i
#define MAX_ARRAY(a, b, c)  c=a[0]; for ( i = 1; i < b; i++) if ( a[i] > a[i-1] ) c=a[i]
#define MIN_ARRAY(a, b, c)  c=a[0]; for ( i = 1; i < b; i++) if ( a[i] < a[i-1] ) c=a[i]
#define TOTAL(a, b, c)      c=0; for ( i = 0; i < b; i++) c += a[i]


float centroid(float *ps, int r, int c, int cpeak, float wl, float bw, float * wt);
void bootStrapping(float w[], float OPD[], float wMeanOPD[]);
void bootStrapping4(float w[], float OPD[], float wMeanOPD[]);
