/************************************************************************/
/* testfindtok.c                                                        */
/*                                                                      */
/* Test find_token_line()						*/
/************************************************************************/
/*                                                                      */
/*     Center for High Angular Resolution Astronomy                     */
/* Georgia State University, Atlanta GA 30303-3083, U.S.A.              */
/*                                                                      */
/*                                                                      */
/* Telephone: 1-404-651-1882                                            */
/* Fax      : 1-404-651-1389                                            */
/* email    : theo@chara.gsu.edu                                        */
/* WWW      : http://www.chara.gsu.edu/~theo/theo.html                  */
/*                                                                      */
/* (C) This source code and its associated executable                   */
/* program(s) are copyright.                                            */
/*                                                                      */
/************************************************************************/
/*                                                                      */
/* Author : Theo ten Brummelaar						*/
/* Date   : Feb 2004							*/
/************************************************************************/

#include "chara.h"
#include<stdlib.h>

int main(int argc, char **argv)
{
	char	result[512];

	if (argc != 4)
	{
		fprintf(stderr,"usage: %s basename extname token\n", argv[0]);
		exit(-1);
	}

	if (find_token_line(argv[1], argv[2], argv[3], result) == NULL)
		printf("Result: Not found.\n");
	else
		printf("Result: %s\n", result);

	exit(0);
}
