import socket
import time
import string

def initSocket(IP, port):
    sock = None
    print "host = ", IP
    print "port = ", port
##     for res in socket.getaddrinfo(IP, port, socket.AF_UNSPEC, socket.SOCK_STREAM):
##         af, socktype, proto, canonname, sa = res
    for res in socket.getaddrinfo(IP, port, socket.AF_INET, socket.SOCK_STREAM):
        af, socktype, proto, canonname, sa = res
        try:
            sock = socket.socket(af, socktype, proto)
            sock.settimeout(10)
        except socket.error, msg:
            sock = None
            continue
        try:
            sock.connect(sa)
            fd = sock.fileno()
        except socket.error, msg:
            sock.close()
            sock = None
            continue
        break
    if sock is None:
        print 'could not open socket'
    return sock

def main():
    nportIP = '192.168.3.137'
    port1 = 4006
    sock1 = initSocket(nportIP, port1)
    port2 = 4005
    sock2 = initSocket(nportIP, port2)
    buf = "abcdefghijklmnopqrstuvwxyz"
    sock1.send(buf)
    inbuf = ''
    length = 0
    while length < 26:
        message = sock2.recv(26-length)
        length += len(message)
        inbuf += message                 
        print "len(inbuf) = ",len(inbuf)
        print inbuf
    sock1.close()
    sock2.close()

if __name__ == "__main__":
    main()
